Table of Contents

AMPC.SHARED API Changes

Warning

Some API changes are not backward compatible

Breaking Changes

Path Description
GET /Modules/AMPC/StandardTasks/{id} Condition monitoring redesign
GET /Modules/AMPC/StandardTasks/Batch/{ids} Condition monitoring redesign

Changelog

A more detailed breakdown for the individual changes can be viewed here

==========================================================================
==                            API CHANGE LOG                            ==
==========================================================================
                   On Key AMPC Shared API Specification                   
--------------------------------------------------------------------------
--                            What's Deleted                            --
--------------------------------------------------------------------------
- GET    /Modules/AMPC/StandardTasks/Lookups/LookupStandardTaskMonitoringPointType

--------------------------------------------------------------------------
--                            What's Changed                            --
--------------------------------------------------------------------------
- GET    /Modules/AMPC/StandardTasks/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Broken compatibility
          Missing property: properties.isReadingRequired (boolean)
          Missing property: properties.monitoringPointTypeId (integer)
          Missing property: properties.monitoringPointTypeCode (string)
          Missing property: properties.monitoringPointTypeDescription (string)
- POST   /Modules/AMPC/StandardTasks
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/StandardTasks/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Broken compatibility
          Missing property: items[n].properties.isReadingRequired (boolean)
          Missing property: items[n].properties.monitoringPointTypeId (integer)
          Missing property: items[n].properties.monitoringPointTypeCode (string)
          Missing property: items[n].properties.monitoringPointTypeDescription (string)
- POST   /Modules/AMPC/StandardTasks/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
--------------------------------------------------------------------------
--                                Result                                --
--------------------------------------------------------------------------
                 API changes broke backward compatibility                 
--------------------------------------------------------------------------